Update Contacts
/unified/crm/contacts/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
The contact's account
20 supported
The account's unique identifier
The account's name
16 supported
The city
The country
The unique identifier of the address
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The date and time of the contact's creation
20 supported
Custom fields to be set on the contact. The custom_fields object will be a key-value pair, where the key will be the name attribute of the custom field found in the response of https://truto.one/docs/api-reference/unified-crm-api/fields/list endpoint.
{
"custom_field_name_1": "foo",
"custom_field_name_2": "bar"
}
16 supported
1 supported
21 supported
The email address
The unique identifier of the email addresses
The email address type
The unique identifier for the specific version of the resource.
2 supported1 required
The contact's first name
20 supported2 required
1 supported
The contact's last name
20 supported1 required
The contact's full name
20 supported1 required
The account's owner
9 supported
The owner's unique identifier
1 supported
20 supported
The phone number
The unique identifier of the phone number
The phone number type
phonemobilefaxworkmobilefaxphonemobilehomeotherassistantfax
1 supported
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
The contact's tags
11 supported
The tag's unique identifier
The tag's name
The contact's job title
16 supported
Response Body
The contact's unique identifier
21 supported
The contact's account
20 supported
The account's unique identifier
The account's name
16 supported
The city
The country
The unique identifier of the address
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The date and time of the contact's creation
20 supported
All the custom fields present on the contact
16 supported
21 supported
The email address
The unique identifier of the email addresses
The email address type
The unique identifier for the specific version of the resource.
2 supported
The contact's first name
20 supported
The date and time of the contact's last activity
10 supported
The contact's last name
20 supported
The contact's full name
20 supported
The account's owner
9 supported
The owner's unique identifier
20 supported
The extension of the phone number
The unique identifier of the phone number
The phone number
The phone number type
Raw data returned from the remote API call.
The contact's tags
11 supported
The tag's unique identifier
The tag's name
The contact's job title
16 supported
The date and time of the contact's last update
19 supported
The contact's urls
7 supported
The contact's URL type
The contact's URL
curl -X PATCH 'https://api.truto.one/unified/crm/contacts/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"first_name": "your_first_name",
"last_name": "your_last_name",
"email_addresses": [],
"account": {},
"name": "your_name",
"title": "your_title",
"addresses": [],
"phone_numbers": [],
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"tags": [],
"owner": {},
"created_at": "your_created_at",
"etag": "your_etag",
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"first_name": "your_first_name",
"last_name": "your_last_name",
"email_addresses": [],
"account": {},
"name": "your_name",
"title": "your_title",
"addresses": [],
"phone_numbers": [],
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"tags": [],
"owner": {},
"created_at": "your_created_at",
"etag": "your_etag",
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/crm/contacts/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/contacts/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"first_name": "your_first_name",
"last_name": "your_last_name",
"email_addresses": [],
"account": {},
"name": "your_name",
"title": "your_title",
"addresses": [],
"phone_numbers": [],
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"tags": [],
"owner": {},
"created_at": "your_created_at",
"etag": "your_etag",
"remote_data": {}
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.update(
'crm',
'contacts',
'<resource_id>',
{
"first_name": "your_first_name",
"last_name": "your_last_name",
"email_addresses": [],
"account": {},
"name": "your_name",
"title": "your_title",
"addresses": [],
"phone_numbers": [],
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"tags": [],
"owner": {},
"created_at": "your_created_at",
"etag": "your_etag",
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.update(
"crm",
"contacts",
"<resource_id>",
{
"first_name": "your_first_name",
"last_name": "your_last_name",
"email_addresses": [],
"account": {},
"name": "your_name",
"title": "your_title",
"addresses": [],
"phone_numbers": [],
"custom_fields": "{\n \"custom_field_name_1\": \"foo\",\n \"custom_field_name_2\": \"bar\"\n}\n",
"tags": [],
"owner": {},
"created_at": "your_created_at",
"etag": "your_etag",
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())